std::invalid_argument Class Reference
Diagnostics » Exceptions

`#include <stdexcept>`

Inheritance diagram for std::invalid_argument:
[legend]

## Public Member Functions

| invalid_argument (const char *)
| invalid_argument (const invalid_argument &)=default
| invalid_argument (const string &__arg)
| invalid_argument (invalid_argument &&)=default
invalid_argument & | operator= (const invalid_argument &)=default
invalid_argument & | operator= (invalid_argument &&)=default
virtual const char * | what () const noexcept

## Detailed Description

Thrown to report invalid arguments to functions.

Definition at line 170 of file stdexcept.

## Member Function Documentation

## what()

virtual const char * std::logic_error::what | ( |  | ) | const

virtual noexcept inherited

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::future_error.

References what().

Referenced by what().

The documentation for this class was generated from the following file:

- stdexcept